Name: ghostscript-drivers
Version: 2007
Release: alt1

%define esp_name esp-ghostscript
%define gnu_name gnu-ghostscript

Summary: Third-party ghostscript drivers and filters
Group: Publishing
License: GPL

Packager: Stanislav Ievlev <inger@altlinux.org>

PreReq: ghostscript-rip

Provides: %esp_name-drivers = %version, %gnu_name-drivers = %version
Obsoletes: %esp_name-drivers, %gnu_name-drivers

#Additional drivers
# HP DeskJet PPA printers
Source101: http://download.sourceforge.net/pnm2ppa/pnm2ppa-1.12.tar.bz2
Source102: http://www.httptech.com/ppa/files/ppa-0.8.6.tar.bz2
Patch1021: pbm2ppa-20000205.diff
Patch1022: ghostscript-drivers-2006-alt-pnm2ppa-build.patch
Source103: http://cesnet.dl.sourceforge.net/sourceforge/epsonepl/epsoneplijs-0.4.0.tar.bz2
Patch103: epsoneplijs-0.4.0-alt-fortify-source.patch
Source104: http://sourceforge.net/projects/lz11/lz11-V2-1.2.tar.bz2
# GhostScript wrapper for the Pentax PocketJet printers
Source105: http://www.pragana.net/pentaxpj-1.0.0.tar.bz2
Patch105: ghostscript-7.05-alt-pentaxpj-no-bwidget.patch
Source106: http://www.dcs.ed.ac.uk/home/jcb/ppmtomd/ppmtomd-1.5.tar.bz2
Patch106: ppmtomd-1.3-alt-build.patch

# Automatically added by buildreq on Fri Mar 24 2006 (-bi)
BuildRequires: ghostscript-utils libnetpbm-devel

%description
External ghostscript drivers

%prep
%setup -qcT

%setup -q -T -D -a 101
%__subst 's/^version 0.*//' pnm2ppa-*/pnm2ppa.conf


# Generate README file
cat <<EOF >README.calibration

Colour calibration for PPA printers
-----------------------------------

If you have an HP DeskJet PPA printer (very cheap models: 710C, 712C,
720C, 722C, 820C, 1000C, or a newer printer which works with one of
these model entries) you can optionally do a colour correction. Do the
following:

Some of the printing modes offer optional colour correction. See the
option "Printing Mode" which is offered to you in the option window of
"printerdrake" and if you use CUPS also in "qtcups" or "kprinter"
("Properties" button, "Advanced" tab), "xpp" ("Options" button,
"Extra" tab), "kups" (right click on printer, "Configure printer" in
menu), or the WWW interface ("Configure printer" button) and if you
use PDQ in "xpdq" ("Driver options"). Choose a setting with "optional
colour correction" and save your settings. Read the file

   /usr/share/doc/printer-filters-1.0/HPDeskJetPPA/pnm2ppa/COLOR.txt

and follow the instructions there, but use the name

   /etc/pnm2ppa.gamma_normal

for the colour correction file for the "normal quality" modes and

   /etc/pnm2ppa.gamma_best

for the colour correction file for the "best quality" modes. So you
can do the colour correction independently in both normal and best
quality modes. The files are automatically taken into account by the
appropriate modes as soon as they are created.
EOF

#old PPA driver
%setup -q -T -D -a 102
%patch1021 -p0
%patch1022 -p1

%setup -q -T -D -a 103
pushd epsoneplijs*
%patch103 -p1
popd

%setup -q -T -D -a 104

%setup -q -T -D -a 105
%patch105 -p1

%setup -q -T -D -a 106
pushd ppmtomd*
%patch106 -p1
popd

%build

# HP DeskJet PPA printers
pushd pnm2ppa*
%make BINDIR=%{_bindir} CONFDIR=%{_sysconfdir} MANDIR=%{_mandir}/man1
popd
pushd pbm2ppa*
make
popd

pushd epsoneplijs*
%configure
%make
popd

pushd lz11*
%make
popd

pushd pentaxpj*
%make_build
popd

pushd ppmtomd*
%make
popd


%install


# HP DeskJet PPA printers
pushd pnm2ppa*
%makeinstall BINDIR=$RPM_BUILD_ROOT%_bindir CONFDIR=$RPM_BUILD_ROOT%_sysconfdir MANDIR=$RPM_BUILD_ROOT%_mandir/man1
chmod 0755 $RPM_BUILD_ROOT%_bindir/*
install -Dpm 0644  docs/en/pnm2ppa.1 $RPM_BUILD_ROOT%_man1dir
install -Dpm 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT%_bindir
install -Dpm 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT%_bindir
install -d  $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pnm2ppa
install -pm 0644 *.ps $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pnm2ppa
pushd docs/en
for file in * ; do
  if  [ -f $file ] ; then
     install -pm 0644  $file $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pnm2ppa
  fi
done
rm -f $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pnm2ppa/pnm2ppa.1
popd
cp -ax ppa_protocol sample_scripts README.security Changelog $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pnm2ppa
popd

pushd pbm2ppa*
install -Dpm 0755 pbm2ppa  $RPM_BUILD_ROOT%_bindir
install -Dpm 0755 pbmtpg   $RPM_BUILD_ROOT%_bindir
install -Dpm 0644 pbm2ppa.conf   $RPM_BUILD_ROOT%_sysconfdir
install -Dpm 0644 pbm2ppa.1   $RPM_BUILD_ROOT%_mandir/man1
install -d  $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  if [ -f $file ] ; then
    install -pm 0644  $file $RPM_BUILD_ROOT%_docdir/%name-%version/HPDeskJetPPA/pbm2ppa
  fi
done
popd

pushd epsonepl*
%makeinstall
popd

pushd lz11*
%__install -Dpm755 cZ11-V2 $RPM_BUILD_ROOT%_bindir
ln -s %_bindir/cZ11-V2 $RPM_BUILD_ROOT%_bindir/cZ11
%__install -Dpm 755 cZ11-bit* $RPM_BUILD_ROOT%_bindir
%__install -Dpm 755 lz11.* $RPM_BUILD_ROOT%_bindir
%__install -d $RPM_BUILD_ROOT%_docdir/%name-%version/LexmarkZ11
%__install -Dpm 644 README ChangeLog $RPM_BUILD_ROOT%_docdir/%name-%version/LexmarkZ11
#note we don't install foomatic data files
popd

pushd pentaxpj*
# Program files
%__install -Dpm755 pentaxsetup $RPM_BUILD_ROOT%_bindir
%__install -Dpm755 pentaxpj $RPM_BUILD_ROOT%_bindir
cat > $RPM_BUILD_ROOT%_sysconfdir/pentaxpj.conf <<EOF
#
set settings(driverpath) %_bindir/pentaxpj
EOF
# Documentation
%__install -pm 644 README $RPM_BUILD_ROOT%_docdir/%name-%version/README.pentaxpj
popd

pushd ppmtomd*
%make BINDIR=$RPM_BUILD_ROOT%_bindir MANDIR=$RPM_BUILD_ROOT%_man1dir install
popd


%files
%doc %_docdir/%name-%version
%_sysconfdir/*
%_bindir/*
%_man1dir/*


%changelog
* Thu Jan 25 2007 Stanislav Ievlev <inger@altlinux.org> 2007-alt1
- update ppmtomd

* Fri Oct 13 2006 Stanislav Ievlev <inger@altlinux.org> 2006-alt2
- fixed build with -DFORTIFY_SOURCE=2

* Thu Mar 23 2006 Stanislav Ievlev <inger@altlinux.org> 2006-alt1
- moved drivers to separate package

* Tue Feb 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 7.07.1-alt8
- fixed fontpath
- updated build dependencies

* Thu May 26 2005 Dmitry V. Levin <ldv@altlinux.org> 7.07.1-alt7
- Added multilib and x86_64 support (mouse, closes #6736).

* Fri Apr 29 2005 Anton D. Kachalov <mouse@altlinux.org> 7.07.1-alt6.2
- x86_64 support

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt6.1
- Rebuilt with libstdc++.so.6.

* Thu Oct 07 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt6
- turn off fontconfig patch (author of this patch RH has been discovered some strange problems)

* Wed Sep 22 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt5
- driver updates

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt4.1.1
- Rebuilt with libtiff.so.4.

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 7.07.1-alt4.1
- Rebuilt with openssl-0.9.7d.

* Tue May 11 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt4
- fix bootstrap

* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt3
- added ppmtomd driver
- added support for KRGB (from hpijs 1.6)
- don't build cat files (was problems with building in hasher)

* Mon Mar 15 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt2
- update epsonepl driver to add support for EPL6200L

* Fri Feb 13 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt1
- fix requires (urw-fonts) in common package.

* Tue Feb 10 2004 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.4
- rename back to ghostscript (to minor problems on update)
- added pentaxpj driver for Pentax PocketJet printers

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.3
- correct fontpath (was problems with printing Japanese)
- added lexmark Z11 driver

* Tue Dec 02 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.2
- added epsonepl driver
- Daedalus release

* Thu Nov 06 2003 Stanislav Ievlev <inger@altlinux.org> 7.07.1-alt0.1
- 7.07.1
- change font path
- fix requires module-X and drivers (added virtual providing %name-rip)

* Fri May 16 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.8
- added pnm2ppa and pbm2ppa (old version of pnm2ppa) drivers for HP PPA WinPrinters
- fix requires (classic doesn't need lib)

* Wed May 07 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.7
- added CID support

* Wed Apr 30 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.6
- added module X11 feature
- pdf2dsc, pdf2ps moved to common like in gnu ghostscript (gv need it)
- added ml85p driver (Samsung ML-85G and QL-85G winprinters)

* Mon Apr 07 2003 Stanislav Ievlev <inger@altlinux.ru> 7.05.6-alt0.5
- Initial release
